using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WizardSample.WizardPages
{
    public partial class Installing : ContentPane
    {
        public Installing()
        {
            InitializeComponent();
            Title = "Installing ComponentOne Doc-To-Help";
            Instructions = "The program features you selected are being installed.";
        }
        protected override void OnActivating()
        {
            // can't navigate while installing
            ButtonNext.IsEnabled = ButtonBack.IsEnabled = false;

            // start pseudo-installation
            _sbProgress.Completed += new EventHandler(_sbProgress_Completed);
            _sbProgress.Begin();
        }
        void _sbProgress_Completed(object sender, EventArgs e)
        {
            // move on to next page when installation is complete
            WizardDialog.SelectedPageIndex++;
        }
    }
}
